## yagf 0.9.1

=== CMakeLists.txt ===
project(yagf C CXX)
cmake_minimum_required(VERSION 2.6.0)
set(SOURCES src/main.cpp src/mainform.cpp src/qgraphicsinput.cpp src/utils.cpp src/qxtunixsignalcatcher.cpp src/spellchecker.cpp src/BlockAnalysis.cpp src/PageAnalysis.cpp
    src/SkewAnalysis.cpp src/CCAnalysis.cpp src/qxtgraphicsproxywidget.cpp src/popplerdialog.cpp src/pdfextractor.cpp src/pdf2ppt.cpp src/ghostscr.cpp 
    src/configdialog.cpp src/advancedconfigdialog.cpp src/ccbuilder.cpp src/analysis.cpp src/qsnippet.cpp src/sidebar.cpp src/droplabel.cpp src/projectmanager.cpp src/settings.cpp)
set (HEADERS src/settings.h)
set(INT_SOURCES src/preload.c)
set(UIS src/mainform.ui src/popplerdialog.ui src/configdialog.ui src/advancedconfigdialog.ui)
set(MOC_HEADERS src/mainform.h src/qxtunixsignalcatcher.h src/qxtunixscinternal.h src/qgraphicsinput.h src/qxtgraphicsproxywidget.h src/qxtgraphicsview.h
    src/popplerdialog.h src/pdfextractor.h src/pdf2ppt.h src/configdialog.h src/advancedconfigdialog.h src/ccbuilder.h src/qsnippet.h src/sidebar.h
    src/droplabel.h src/projectmanager.h)
set (yagf_RCCS src/yagf.qrc)
set(QM_FILES ${CMAKE_BINARY_DIR}/yagf_ru.qm ${CMAKE_BINARY_DIR}/yagf_lt.qm ${CMAKE_BINARY_DIR}/yagf_de.qm ${CMAKE_BINARY_DIR}/yagf_pl.qm ${CMAKE_BINARY_DIR}/yagf_uk.qm)
set (LIB_PATH_SUFFIX )
add_definitions(-Wall -g)
find_package(Qt4 4.6 REQUIRED)
find_package(ASPELL REQUIRED)
include(${QT_USE_FILE})
qt4_wrap_ui(UI_HEADERS ${UIS})
qt4_wrap_cpp(MOC_SRCS ${MOC_HEADERS})
qt4_add_resources(yagf_RCC_SRCS ${yagf_RCCS})
include_directories( ${CMAKE_BINARY_DIR} ${PROJECT_SOURCE_DIR})
add_executable(yagf ${SOURCES} ${UI_HEADERS} ${MOC_SRCS} ${yagf_RCC_SRCS} ${QM_FILES})
add_library(xspreload SHARED ${INT_SOURCES})
target_link_libraries(xspreload dl)
target_link_libraries(yagf ${QT_LIBRARIES} ${ASPELL_LIBRARIES})
add_custom_target(translations DEPENDS ${QM_FILES})
qt4_add_translation(${CMAKE_BINARY_DIR}/yagf_ru.qm ${PROJECT_SOURCE_DIR}/src/mainform.cpp ${PROJECT_SOURCE_DIR}/src/popplerdialog.cpp ${MOC_SRCS} ${UI_HEADERS} ${PROJECT_SOURCE_DIR}/src/translations/yagf_ru.ts)
qt4_add_translation(${CMAKE_BINARY_DIR}/yagf_lt.qm ${PROJECT_SOURCE_DIR}/src/mainform.cpp ${PROJECT_SOURCE_DIR}/src/popplerdialog.cpp ${MOC_SRCS} ${UI_HEADERS} ${PROJECT_SOURCE_DIR}/src/translations/yagf_lt.ts)
qt4_add_translation(${CMAKE_BINARY_DIR}/yagf_de.qm ${PROJECT_SOURCE_DIR}/src/mainform.cpp ${PROJECT_SOURCE_DIR}/src/popplerdialog.cpp ${MOC_SRCS} ${UI_HEADERS} ${PROJECT_SOURCE_DIR}/src/translations/yagf_de.ts)
qt4_add_translation(${CMAKE_BINARY_DIR}/yagf_pl.qm ${PROJECT_SOURCE_DIR}/src/mainform.cpp ${PROJECT_SOURCE_DIR}/src/popplerdialog.cpp ${MOC_SRCS} ${UI_HEADERS} ${PROJECT_SOURCE_DIR}/src/translations/yagf_pl.ts)
qt4_add_translation(${CMAKE_BINARY_DIR}/yagf_uk.qm ${PROJECT_SOURCE_DIR}/src/mainform.cpp ${PROJECT_SOURCE_DIR}/src/popplerdialog.cpp ${MOC_SRCS} ${UI_HEADERS} ${PROJECT_SOURCE_DIR}/src/translations/yagf_uk.ts)
#QT4_CREATE_TRANSLATION(yagf_ru.qm src/mainform.cpp ${MOC_SRCS} ${UI_HEADERS} src/yagf_ru.ts)
#set(CMAKE_INSTALL_PREFIX /usr/)
if (NOT DEFINED  ${CMAKE_INSTALL_PREFIX})
set(CPACK_INSTALL_PREFIX /usr/)
set (CMAKE_INSTALL_PREFIX /usr/)
endif()
install_targets(/bin/ yagf)
if (CMAKE_SIZEOF_VOID_P EQUAL 8)
        set (LIB_PATH_SUFFIX 64)
        set_property (GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS TRUE)
endif(CMAKE_SIZEOF_VOID_P EQUAL 8)
install_targets(/lib${LIB_PATH_SUFFIX}/yagf xspreload)
install(FILES ${QM_FILES} DESTINATION share/yagf/translations/)
#install(FILES COPYING DESCRIPTION README AUTHORS ChangeLog DESTINATION share/yagf/)
install(FILES yagf.png DESTINATION share/pixmaps/)
install(FILES yagf.png DESTINATION share/icons/hicolor/96x96/apps/)
install(FILES YAGF.desktop DESTINATION share/applications/)

#set(CPACK_PACKAGE_FILE_NAME yagf)
set(CPACK_PACKAGE_VENDOR "Andrei Borovsky, anb@symmetrica.net")
set(CPACK_PACKAGE_CONTACT ${CPACK_PACKAGE_VENDOR})
set(CPACK_SYSTEM_NAME "i586")
set(CPACK_BINARY_DEB ON)
set(CPACK_BINARY_RPM ON)
set(CPACK_BINARY_STGZ ON)
set(CPACK_BINARY_TGZ OFF)
set(CPACK_BINARY_TZ OFF)
set(CPACK_BINARY_TBZ2 OFF)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Graphical front-end for cuneiform and tesseract OCR tools")
set(CPACK_PACKAGE_VERSION 0.9.1)
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "9")
set(CPACK_PACKAGE_VERSION_PATCH "1")
set(CPACK_STRIP_FILES bin/yagf bin/libyagfpreload)
set(CPACK_SOURCE_TBZ2 "OFF")
set(CPACK_SOURCE_TGZ "ON")
set(CPACK_SOURCE_TZ "OFF")
set(CPACK_SOURCE_INSTALLED_DIRECTORIES "${CMAKE_SOURCE_DIR}/yagf-${CPACK_PACKAGE_VERSION}/;/")
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/COPYING)
set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_SOURCE_DIR}/DESCRIPTION)
set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README)
set(DEBIAN_PACKAGE_SECTION "text processing")
set(CPACK_RPM_PACKAGE_LICENSE "GPL v.3.0")
set (CPACK_RPM_PACKAGE_REQUIRES "libqt > 4.5")
include(CPack)

=== debian/changelog ===
yagf (0.9.1-3) unstable; urgency=low

  * debian/control was updated:
    changed dependency of yagf package from "cuneiform | tesseract-ocr" to
    "tesseract-ocr | cuneiform". (Closes: #682102)

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 30 Jul 2012 19:51:55 +0300

yagf (0.9.1-2) unstable; urgency=low

  * debian/rules was updated:
    - now uscan is used instead of direct using of wget and mv commands
    - used hardening flags in compiler options

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 10 Jun 2012 15:47:44 +0300

yagf (0.9.1-1) unstable; urgency=low

  * Update to stable release 0.9.1.
  * debian/copyright was updated:
    - yagf.spec was deleted from sources in upstream
    - new translator was added
  * debian/yagf.1 (man page) was updated.
  * Fixes from upstream: default spell check language was changed
    from Russian to English. (Closes: #665913)

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 23 Apr 2012 23:07:54 +0300

yagf (0.9+svn247-2) unstable; urgency=low

  * debian/control was updated: fix for cmake >= 2.8.6.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 19 Mar 2012 19:27:29 +0200

yagf (0.9+svn247-1) unstable; urgency=low

  * Initial release (closes: #619056).

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 17 Mar 2012 14:24:11 +0200

=== debian/control ===
Source: yagf
Section: graphics
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7), cmake,
 libqt4-dev, libaspell-dev, aspell
Homepage: http://symmetrica.net/cuneiform-linux/yagf-en.html
Vcs-Git: git://github.com/tehnick/yagf-debian.git
Vcs-Browser: https://github.com/tehnick/yagf-debian
Standards-Version: 3.9.3

Package: yagf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 tesseract-ocr | cuneiform
Recommends: xsane
Description: graphical interface for cuneiform and tesseract
 YAGF is a graphical interface for cuneiform and tesseract text recognition
 tools on the Linux platform. With YAGF you can scan images via XSane, import
 pages from PDF documents, perform images preprocessing and recognize texts
 using cuneiform from a single command centre. YAGF also makes it easy to scan
 and recognize several images sequentially.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --parallel

get-orig-source:
	uscan --noconf --verbose --force-download --rename --download-current-version --destdir=..

## yagf 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,29 +1,41 @@
 project(yagf C CXX)
 cmake_minimum_required(VERSION 2.6.0)
+# Setting MPTIFF_SUPPORT to true turns on the multi-image tiffs support. In this case YAGF requires various libtiff development files
+# that may are incompatible with the Qt's JPEG reader on some systems. So Qt (and YAGF) may lose the ability to read jpegs.
+# You have been warned!
+set(MPTIFF_SUPPORT false)
+if(MPTIFF_SUPPORT)
+set(TIFFIO_SRC src/qxttiffiohandler.cpp)
+endif(MPTIFF_SUPPORT)
 set(SOURCES src/main.cpp src/mainform.cpp src/qgraphicsinput.cpp src/utils.cpp src/qxtunixsignalcatcher.cpp src/spellchecker.cpp src/BlockAnalysis.cpp src/PageAnalysis.cpp
     src/SkewAnalysis.cpp src/CCAnalysis.cpp src/qxtgraphicsproxywidget.cpp src/popplerdialog.cpp src/pdfextractor.cpp src/pdf2ppt.cpp src/ghostscr.cpp 
-    src/configdialog.cpp src/advancedconfigdialog.cpp src/ccbuilder.cpp src/analysis.cpp src/qsnippet.cpp src/sidebar.cpp src/droplabel.cpp src/projectmanager.cpp src/settings.cpp)
-set (HEADERS src/settings.h)
+    src/configdialog.cpp src/advancedconfigdialog.cpp src/ccbuilder.cpp src/analysis.cpp src/qsnippet.cpp src/sidebar.cpp src/droplabel.cpp src/projectmanager.cpp src/settings.cpp
+    src/texteditor.cpp src/tblock.cpp src/tpage.cpp src/tpagecollection.cpp ${TIFFIO_SRC} src/scanner.cpp src/imagebooster.cpp)
+set(HEADERS src/settings.h)
 set(INT_SOURCES src/preload.c)
 set(UIS src/mainform.ui src/popplerdialog.ui src/configdialog.ui src/advancedconfigdialog.ui)
 set(MOC_HEADERS src/mainform.h src/qxtunixsignalcatcher.h src/qxtunixscinternal.h src/qgraphicsinput.h src/qxtgraphicsproxywidget.h src/qxtgraphicsview.h
     src/popplerdialog.h src/pdfextractor.h src/pdf2ppt.h src/configdialog.h src/advancedconfigdialog.h src/ccbuilder.h src/qsnippet.h src/sidebar.h
-    src/droplabel.h src/projectmanager.h)
+    src/droplabel.h src/projectmanager.h src/texteditor.h src/tblock.h src/tpage.h src/tpagecollection.h src/scanner.h src/imagebooster.h)
 set (yagf_RCCS src/yagf.qrc)
 set(QM_FILES ${CMAKE_BINARY_DIR}/yagf_ru.qm ${CMAKE_BINARY_DIR}/yagf_lt.qm ${CMAKE_BINARY_DIR}/yagf_de.qm ${CMAKE_BINARY_DIR}/yagf_pl.qm ${CMAKE_BINARY_DIR}/yagf_uk.qm)
 set (LIB_PATH_SUFFIX )
 add_definitions(-Wall -g)
 find_package(Qt4 4.6 REQUIRED)
 find_package(ASPELL REQUIRED)
+if(MPTIFF_SUPPORT)
+add_definitions(-DTIFF_IO)
+find_package(TIFF REQUIRED)
+endif(MPTIFF_SUPPORT)
 include(${QT_USE_FILE})
 qt4_wrap_ui(UI_HEADERS ${UIS})
 qt4_wrap_cpp(MOC_SRCS ${MOC_HEADERS})
 qt4_add_resources(yagf_RCC_SRCS ${yagf_RCCS})
-include_directories( ${CMAKE_BINARY_DIR} ${PROJECT_SOURCE_DIR})
+include_directories( ${CMAKE_BINARY_DIR} ${PROJECT_SOURCE_DIR}/src)
 add_executable(yagf ${SOURCES} ${UI_HEADERS} ${MOC_SRCS} ${yagf_RCC_SRCS} ${QM_FILES})
 add_library(xspreload SHARED ${INT_SOURCES})
 target_link_libraries(xspreload dl)
-target_link_libraries(yagf ${QT_LIBRARIES} ${ASPELL_LIBRARIES})
+target_link_libraries(yagf ${QT_LIBRARIES} ${ASPELL_LIBRARIES} ${TIFF_LIBRARIES})
 add_custom_target(translations DEPENDS ${QM_FILES})
 qt4_add_translation(${CMAKE_BINARY_DIR}/yagf_ru.qm ${PROJECT_SOURCE_DIR}/src/mainform.cpp ${PROJECT_SOURCE_DIR}/src/popplerdialog.cpp ${MOC_SRCS} ${UI_HEADERS} ${PROJECT_SOURCE_DIR}/src/translations/yagf_ru.ts)
 qt4_add_translation(${CMAKE_BINARY_DIR}/yagf_lt.qm ${PROJECT_SOURCE_DIR}/src/mainform.cpp ${PROJECT_SOURCE_DIR}/src/popplerdialog.cpp ${MOC_SRCS} ${UI_HEADERS} ${PROJECT_SOURCE_DIR}/src/translations/yagf_lt.ts)

=== debian/changelog ===
yagf (0.9.2-1) experimental; urgency=low

  * Update to stable release 0.9.2.
  * Add "DM-Upload-Allowed: yes" into debian/control.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 04 Sep 2012 21:24:38 +0300

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Vcs-Git: git://github.com/tehnick/yagf-debian.git
 Vcs-Browser: https://github.com/tehnick/yagf-debian
 Standards-Version: 3.9.3
+DM-Upload-Allowed: yes
 
 Package: yagf
 Architecture: any

## yagf 0.9.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,16 +7,24 @@
 if(MPTIFF_SUPPORT)
 set(TIFFIO_SRC src/qxttiffiohandler.cpp)
 endif(MPTIFF_SUPPORT)
+if (NOT DEFINED  ${CMAKE_INSTALL_PREFIX})
+set(CPACK_INSTALL_PREFIX /usr/)
+set (CMAKE_INSTALL_PREFIX /usr/)
+endif()
+# following 2 lines define where interface translations will be installed
+set(QML_DESTINATION share/yagf/translations/)
+set(QML_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
+add_definitions( -DQML_INSTALL_PATH="${QML_INSTALL_PREFIX}${QML_DESTINATION}")
 set(SOURCES src/main.cpp src/mainform.cpp src/qgraphicsinput.cpp src/utils.cpp src/qxtunixsignalcatcher.cpp src/spellchecker.cpp src/BlockAnalysis.cpp src/PageAnalysis.cpp
     src/SkewAnalysis.cpp src/CCAnalysis.cpp src/qxtgraphicsproxywidget.cpp src/popplerdialog.cpp src/pdfextractor.cpp src/pdf2ppt.cpp src/ghostscr.cpp 
     src/configdialog.cpp src/advancedconfigdialog.cpp src/ccbuilder.cpp src/analysis.cpp src/qsnippet.cpp src/sidebar.cpp src/droplabel.cpp src/projectmanager.cpp src/settings.cpp
-    src/texteditor.cpp src/tblock.cpp src/tpage.cpp src/tpagecollection.cpp ${TIFFIO_SRC} src/scanner.cpp src/imagebooster.cpp)
+    src/texteditor.cpp src/tblock.cpp src/tpage.cpp src/tpagecollection.cpp ${TIFFIO_SRC} src/scanner.cpp src/imagebooster.cpp src/forcelocaledialog.cpp)
 set(HEADERS src/settings.h)
 set(INT_SOURCES src/preload.c)
-set(UIS src/mainform.ui src/popplerdialog.ui src/configdialog.ui src/advancedconfigdialog.ui)
+set(UIS src/mainform.ui src/popplerdialog.ui src/configdialog.ui src/advancedconfigdialog.ui src/forcelocaledialog.ui)
 set(MOC_HEADERS src/mainform.h src/qxtunixsignalcatcher.h src/qxtunixscinternal.h src/qgraphicsinput.h src/qxtgraphicsproxywidget.h src/qxtgraphicsview.h
     src/popplerdialog.h src/pdfextractor.h src/pdf2ppt.h src/configdialog.h src/advancedconfigdialog.h src/ccbuilder.h src/qsnippet.h src/sidebar.h
-    src/droplabel.h src/projectmanager.h src/texteditor.h src/tblock.h src/tpage.h src/tpagecollection.h src/scanner.h src/imagebooster.h)
+    src/droplabel.h src/projectmanager.h src/texteditor.h src/tblock.h src/tpage.h src/tpagecollection.h src/scanner.h src/imagebooster.h src/forcelocaledialog.h)
 set (yagf_RCCS src/yagf.qrc)
 set(QM_FILES ${CMAKE_BINARY_DIR}/yagf_ru.qm ${CMAKE_BINARY_DIR}/yagf_lt.qm ${CMAKE_BINARY_DIR}/yagf_de.qm ${CMAKE_BINARY_DIR}/yagf_pl.qm ${CMAKE_BINARY_DIR}/yagf_uk.qm)
 set (LIB_PATH_SUFFIX )
@@ -44,17 +52,13 @@
 qt4_add_translation(${CMAKE_BINARY_DIR}/yagf_uk.qm ${PROJECT_SOURCE_DIR}/src/mainform.cpp ${PROJECT_SOURCE_DIR}/src/popplerdialog.cpp ${MOC_SRCS} ${UI_HEADERS} ${PROJECT_SOURCE_DIR}/src/translations/yagf_uk.ts)
 #QT4_CREATE_TRANSLATION(yagf_ru.qm src/mainform.cpp ${MOC_SRCS} ${UI_HEADERS} src/yagf_ru.ts)
 #set(CMAKE_INSTALL_PREFIX /usr/)
-if (NOT DEFINED  ${CMAKE_INSTALL_PREFIX})
-set(CPACK_INSTALL_PREFIX /usr/)
-set (CMAKE_INSTALL_PREFIX /usr/)
-endif()
 install_targets(/bin/ yagf)
 if (CMAKE_SIZEOF_VOID_P EQUAL 8)
         set (LIB_PATH_SUFFIX 64)
         set_property (GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS TRUE)
 endif(CMAKE_SIZEOF_VOID_P EQUAL 8)
 install_targets(/lib${LIB_PATH_SUFFIX}/yagf xspreload)
-install(FILES ${QM_FILES} DESTINATION share/yagf/translations/)
+install(FILES ${QM_FILES} DESTINATION ${QML_DESTINATION})
 #install(FILES COPYING DESCRIPTION README AUTHORS ChangeLog DESTINATION share/yagf/)
 install(FILES yagf.png DESTINATION share/pixmaps/)
 install(FILES yagf.png DESTINATION share/icons/hicolor/96x96/apps/)

=== debian/changelog ===
yagf (0.9.2.1-1) unstable; urgency=medium

  * Update to stable release 0.9.2.1.
  * Bump debhelper version to 9 (was 7); update debian/compat.
  * Bump Standards-Version to 3.9.5 (was 3.9.3): no changes required.
  * Delete obsolete DM-Upload-Allowed field from debian/control.
  * Update get-orig-source section in debian/rules.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Thu, 12 Dec 2013 09:45:14 +0400

yagf (0.9.2-2) unstable; urgency=low

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 12 May 2013 20:15:58 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: yagf
 Section: graphics
 Priority: optional
-Maintainer: Boris Pek <tehnick-8@mail.ru>
-Build-Depends: debhelper (>= 7), cmake,
+Maintainer: Boris Pek <tehnick@debian.org>
+Build-Depends: debhelper (>= 9), cmake,
  libqt4-dev, libaspell-dev, aspell
 Homepage: http://symmetrica.net/cuneiform-linux/yagf-en.html
 Vcs-Git: git://github.com/tehnick/yagf-debian.git
 Vcs-Browser: https://github.com/tehnick/yagf-debian
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.5
 
 Package: yagf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = yagf

DEBIAN_PATH  := $(abspath $(dir $(firstword $(MAKEFILE_LIST))))
USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export CPPFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --parallel

get-orig-source:
	wget -c4 "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.gz"

=== debian/watch ===
version=3
http://symmetrica.net/cuneiform-linux/yagf-en.html .*yagf-(.+).tar.gz.*

## yagf 0.9.3.2

=== CMakeLists.txt ===
project(yagf C CXX)
cmake_minimum_required(VERSION 2.6.0)
#set(QT_QMAKE_EXECUTABLE /usr/bin/qmake-qt4)
if (NOT DEFINED  ${CMAKE_INSTALL_PREFIX})
set(CPACK_INSTALL_PREFIX /usr/)
set (CMAKE_INSTALL_PREFIX /usr/)
endif()
set (LIB_PATH_SUFFIX )
if (CMAKE_SIZEOF_VOID_P EQUAL 8)
    if (EXISTS "${CMAKE_INSTALL_PREFIX}lib64")
        set(LIB_PATH_SUFFIX 64)
    endif (EXISTS "${CMAKE_INSTALL_PREFIX}lib64")
    set_property (GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS TRUE)
endif(CMAKE_SIZEOF_VOID_P EQUAL 8)
add_definitions( -DPRILIBRARY_PATH="${CMAKE_INSTALL_PREFIX}lib${LIB_PATH_SUFFIX}/yagf/")

# following 2 lines define where interface translations will be installed
set(QML_DESTINATION share/yagf/translations/)
set(QML_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
add_definitions( -DQML_INSTALL_PATH="${QML_INSTALL_PREFIX}${QML_DESTINATION}")

set(SOURCES src/main.cpp src/mainform.cpp src/qgraphicsinput.cpp src/utils.cpp src/qxtunixsignalcatcher.cpp src/spellchecker.cpp src/BlockAnalysis.cpp src/PageAnalysis.cpp
    src/SkewAnalysis.cpp src/CCAnalysis.cpp src/qxtgraphicsproxywidget.cpp src/popplerdialog.cpp src/pdfextractor.cpp src/pdf2ppt.cpp src/ghostscr.cpp 
    src/configdialog.cpp src/ccbuilder.cpp src/analysis.cpp src/qsnippet.cpp src/sidebar.cpp src/droplabel.cpp src/projectmanager.cpp src/settings.cpp
    src/texteditor.cpp src/tblock.cpp src/tpage.cpp src/tpagecollection.cpp src/scanner.cpp src/core/imageprocessor.cpp
    src/langselectdialog.cpp src/busyform.cpp src/tiffimporter.cpp src/pdfthread.cpp src/QBusyIndicator.cpp
    src/core/binarize.cpp src/core/util.cpp src/core/qipblackandwhiteimage.cpp src/core/qipgrayscaleimage.cpp)

set(HEADERS src/settings.h)

set(INT_SOURCES src/preload.c)

set(UIS src/mainform.ui src/popplerdialog.ui src/configdialog.ui src/langselectdialog.ui src/busyform.ui)

set(MOC_HEADERS src/mainform.h src/qxtunixsignalcatcher.h src/qxtunixscinternal.h src/qgraphicsinput.h src/qxtgraphicsproxywidget.h src/qxtgraphicsview.h
    src/popplerdialog.h src/pdfextractor.h src/pdf2ppt.h src/configdialog.h src/ccbuilder.h src/qsnippet.h src/sidebar.h
    src/droplabel.h src/projectmanager.h src/texteditor.h src/tblock.h src/tpage.h src/tpagecollection.h src/scanner.h src/core/imageprocessor.h
    src/langselectdialog.h src/busyform.h src/tiffimporter.h src/pdfthread.h src/QBusyIndicator.h
    src/core/binarize.h src/core/common.h src/core/util.h src/core/qipblackandwhiteimage.h src/core/qipgrayscaleimage.h)

set(yagf_RCCS src/yagf.qrc)

set(QM_FILES ${CMAKE_BINARY_DIR}/yagf_ru.qm ${CMAKE_BINARY_DIR}/yagf_fr.qm)


add_definitions(-Wall -g)

find_package(Qt4 4.6 REQUIRED)
find_package(ASPELL REQUIRED)
include_directories(${ASPELL_INCLUDE_DIR})

include(${QT_USE_FILE})
qt4_wrap_ui(UI_HEADERS ${UIS})
qt4_wrap_cpp(MOC_SRCS ${MOC_HEADERS})
qt4_add_resources(yagf_RCC_SRCS ${yagf_RCCS})

include_directories( ${CMAKE_BINARY_DIR} ${PROJECT_SOURCE_DIR}/src)
add_executable(yagf ${SOURCES} ${UI_HEADERS} ${MOC_SRCS} ${yagf_RCC_SRCS} ${QM_FILES})
add_library(xspreload SHARED ${INT_SOURCES})

target_link_libraries(xspreload ${CMAKE_DL_LIBS})
target_link_libraries(yagf ${QT_LIBRARIES} ${ASPELL_LIBRARIES})

add_custom_target(translations DEPENDS ${QM_FILES})
qt4_add_translation(${CMAKE_BINARY_DIR}/yagf_ru.qm ${PROJECT_SOURCE_DIR}/src/mainform.cpp ${PROJECT_SOURCE_DIR}/src/popplerdialog.cpp ${MOC_SRCS} ${UI_HEADERS} ${PROJECT_SOURCE_DIR}/src/translations/yagf_ru.ts)
qt4_add_translation(${CMAKE_BINARY_DIR}/yagf_fr.qm ${PROJECT_SOURCE_DIR}/src/mainform.cpp ${PROJECT_SOURCE_DIR}/src/popplerdialog.cpp ${MOC_SRCS} ${UI_HEADERS} ${PROJECT_SOURCE_DIR}/src/translations/yagf_fr.ts)
#QT4_CREATE_TRANSLATION(yagf_ru.qm src/mainform.cpp ${MOC_SRCS} ${UI_HEADERS} src/yagf_ru.ts)
#set(CMAKE_INSTALL_PREFIX /usr/)

install(TARGETS yagf xspreload RUNTIME DESTINATION bin LIBRARY DESTINATION lib${LIB_PATH_SUFFIX}/yagf)
install(FILES ${QM_FILES} DESTINATION ${QML_DESTINATION})
#install(FILES COPYING DESCRIPTION README AUTHORS ChangeLog DESTINATION share/yagf/)
install(FILES yagf.png DESTINATION share/pixmaps/)
install(FILES yagf.png DESTINATION share/icons/hicolor/96x96/apps/)
install(FILES YAGF.desktop DESTINATION share/applications/)

#set(CPACK_PACKAGE_FILE_NAME yagf)
set(CPACK_PACKAGE_VENDOR "Andrei Borovsky, anb@symmetrica.net")
set(CPACK_PACKAGE_CONTACT ${CPACK_PACKAGE_VENDOR})
set(CPACK_SYSTEM_NAME "i586")
set(CPACK_BINARY_DEB ON)
set(CPACK_BINARY_RPM ON)
set(CPACK_BINARY_STGZ ON)
set(CPACK_BINARY_TGZ OFF)
set(CPACK_BINARY_TZ OFF)
set(CPACK_BINARY_TBZ2 OFF)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Graphical front-end for cuneiform and tesseract OCR tools")
set(CPACK_PACKAGE_VERSION 0.9.1)
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "9")
set(CPACK_PACKAGE_VERSION_PATCH "1")
set(CPACK_STRIP_FILES bin/yagf bin/libyagfpreload)
set(CPACK_SOURCE_TBZ2 "OFF")
set(CPACK_SOURCE_TGZ "ON")
set(CPACK_SOURCE_TZ "OFF")
set(CPACK_SOURCE_INSTALLED_DIRECTORIES "${CMAKE_SOURCE_DIR}/yagf-${CPACK_PACKAGE_VERSION}/;/")
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/COPYING)
set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_SOURCE_DIR}/DESCRIPTION)
set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README)
set(DEBIAN_PACKAGE_SECTION "text processing")
set(CPACK_RPM_PACKAGE_LICENSE "GPL v.3.0")
set (CPACK_RPM_PACKAGE_REQUIRES "libqt > 4.5")
include(CPack)

=== debian/changelog ===
yagf (0.9.3.2-1ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:53:37 +0000

yagf (0.9.3.2-1ubuntu1) utopic; urgency=medium

  * Touch YAGF.desktop and yagf.png in debian/rules to avoid ancient
    timestamps which LP doesn't accept.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 19 May 2014 23:19:36 +0200

yagf (0.9.3.2-1) unstable; urgency=medium

  * Update to stable release 0.9.3.2.
  * Simplify debian/rules after switching to debhelper 9.
  * Add patch: fix-library-path-on-amd64-systems.patch.
  * Update debian/control using wrap-and-sort tool.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sat, 05 Apr 2014 00:12:41 +0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: yagf
 Section: graphics
 Priority: optional
-Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: debhelper (>= 9), cmake,
- libqt4-dev, libaspell-dev, aspell
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boris Pek <tehnick@debian.org>
+Build-Depends: aspell, cmake, debhelper (>= 9), libaspell-dev, libqt4-dev
 Homepage: http://symmetrica.net/cuneiform-linux/yagf-en.html
 Vcs-Git: git://github.com/tehnick/yagf-debian.git
 Vcs-Browser: https://github.com/tehnick/yagf-debian
@@ -11,8 +11,7 @@
 
 Package: yagf
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
- tesseract-ocr | cuneiform
+Depends: tesseract-ocr | cuneiform, ${misc:Depends}, ${shlibs:Depends}
 Recommends: xsane
 Description: graphical interface for cuneiform and tesseract
  YAGF is a graphical interface for cuneiform and tesseract text recognition

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = yagf

DEBIAN_PATH  := $(abspath $(dir $(firstword $(MAKEFILE_LIST))))
USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel

get-orig-source:
	wget -c "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.gz"

override_dh_auto_install:
	touch YAGF.desktop yagf.png
	dh_auto_install

## yagf 0.9.5+repack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,24 +19,28 @@
 set(QML_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
 add_definitions( -DQML_INSTALL_PATH="${QML_INSTALL_PREFIX}${QML_DESTINATION}")
 
-set(SOURCES src/main.cpp src/mainform.cpp src/qgraphicsinput.cpp src/utils.cpp src/qxtunixsignalcatcher.cpp src/spellchecker.cpp src/BlockAnalysis.cpp src/PageAnalysis.cpp
-    src/SkewAnalysis.cpp src/CCAnalysis.cpp src/qxtgraphicsproxywidget.cpp src/popplerdialog.cpp src/pdfextractor.cpp src/pdf2ppt.cpp src/ghostscr.cpp 
-    src/configdialog.cpp src/ccbuilder.cpp src/analysis.cpp src/qsnippet.cpp src/sidebar.cpp src/droplabel.cpp src/projectmanager.cpp src/settings.cpp
-    src/texteditor.cpp src/tblock.cpp src/tpage.cpp src/tpagecollection.cpp src/scanner.cpp src/core/imageprocessor.cpp
-    src/langselectdialog.cpp src/busyform.cpp src/tiffimporter.cpp src/pdfthread.cpp src/QBusyIndicator.cpp
-    src/core/binarize.cpp src/core/util.cpp src/core/qipblackandwhiteimage.cpp src/core/qipgrayscaleimage.cpp)
+set(SOURCES src/main.cpp src/mainform.cpp src/qgraphicsinput.cpp src/utils.cpp src/qxtunixsignalcatcher.cpp src/spellchecker.cpp
+    src/SkewAnalysis.cpp src/core/rotationcropper.cpp src/qxtgraphicsproxywidget.cpp src/popplerdialog.cpp src/pdfextractor.cpp src/pdf2ppt.cpp src/ghostscr.cpp
+    src/configdialog.cpp src/core/ccbuilder.cpp src/core/analysis.cpp src/qsnippet.cpp src/sidebar.cpp src/droplabel.cpp src/projectmanager.cpp src/settings.cpp
+    src/texteditor.cpp src/tblock.cpp src/page.cpp src/tpagecollection.cpp src/scanner.cpp src/core/imageprocessor.cpp src/recognitiondialog.cpp
+    src/langselectdialog.cpp src/busyform.cpp src/tiffimporter.cpp src/QBusyIndicator.cpp src/recognizerwrapper.cpp
+    src/core/binarize.cpp src/core/util.cpp src/core/qipblackandwhiteimage.cpp src/core/qipgrayscaleimage.cpp src/core/subimagepp.cpp
+    src/core/tableanalizer.cpp src/core/pageanalysis.cpp src/core/pixelwindow.cpp src/extprocessdialog.cpp src/djvu2pdf.cpp
+    src/projectfiles.cpp src/saveprojectdialog.cpp src/fileobjectitem.cpp src/loadprojectdialog.cpp src/autosaver.cpp src/waitwindow.cpp src/globallock.cpp)
 
 set(HEADERS src/settings.h)
 
 set(INT_SOURCES src/preload.c)
 
-set(UIS src/mainform.ui src/popplerdialog.ui src/configdialog.ui src/langselectdialog.ui src/busyform.ui)
+set(UIS src/mainform.ui src/popplerdialog.ui src/configdialog.ui src/langselectdialog.ui src/busyform.ui src/recognitiondialog.ui src/extprocessdialog.ui
+    src/saveprojectdialog.ui src/waitwindow.ui)
 
 set(MOC_HEADERS src/mainform.h src/qxtunixsignalcatcher.h src/qxtunixscinternal.h src/qgraphicsinput.h src/qxtgraphicsproxywidget.h src/qxtgraphicsview.h
-    src/popplerdialog.h src/pdfextractor.h src/pdf2ppt.h src/configdialog.h src/ccbuilder.h src/qsnippet.h src/sidebar.h
-    src/droplabel.h src/projectmanager.h src/texteditor.h src/tblock.h src/tpage.h src/tpagecollection.h src/scanner.h src/core/imageprocessor.h
-    src/langselectdialog.h src/busyform.h src/tiffimporter.h src/pdfthread.h src/QBusyIndicator.h
-    src/core/binarize.h src/core/common.h src/core/util.h src/core/qipblackandwhiteimage.h src/core/qipgrayscaleimage.h)
+    src/popplerdialog.h src/pdfextractor.h src/configdialog.h src/core/ccbuilder.h src/sidebar.h
+    src/droplabel.h src/projectmanager.h src/texteditor.h src/page.h src/tpagecollection.h src/scanner.h src/core/imageprocessor.h
+    src/langselectdialog.h src/busyform.h src/tiffimporter.h src/QBusyIndicator.h src/recognizerwrapper.h
+    src/recognizerwrapperinternal.h src/recognitiondialog.h src/extprocessdialog.h src/djvu2pdf.h src/saveprojectdialog.h
+    src/loadprojectdialog.h src/menuaction.h src/autosaver.h src/waitwindow.h)
 
 set(yagf_RCCS src/yagf.qrc)
 
@@ -73,6 +77,9 @@
 install(FILES yagf.png DESTINATION share/pixmaps/)
 install(FILES yagf.png DESTINATION share/icons/hicolor/96x96/apps/)
 install(FILES YAGF.desktop DESTINATION share/applications/)
+if (EXISTS /usr/share/appdata/)
+        install(FILES YAGF.appdata.xml DESTINATION /usr/share/appdata/)
+endif (EXISTS /usr/share/appdata/)
 
 #set(CPACK_PACKAGE_FILE_NAME yagf)
 set(CPACK_PACKAGE_VENDOR "Andrei Borovsky, anb@symmetrica.net")

=== DESCRIPTION ===
YAGF is a graphical front-end for cuneiform and tesseract OCR tools.
With YAGF you can open already scanned image files or obtain new images via XSane (scanning results are automatically passed to YAGF).
Once you have a scanned image you can prepare it for recognition, select particular image areas for recognition, set the recognition language and so no.
Recognized text is displayed in a editor window where it can be corrected, saved to disk or copied to clipboard.  
YAGF also provides some facilities for a multi-page recognition (see the online help for more details).

Building YAGF requires:
  qt4 development tools version > 4.5
  libaspell development package
Running YAGF requires:
  Qt 4.5 or later, aspell
Of course it is desirable to have xsane installed.
PDFimport is done using either pdftoppm or gs utilities. Make sure at least one of these is installed if you are going to recognize text from PDFs.

=== debian/changelog ===
yagf (0.9.5+repack1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:39:57 +1100

yagf (0.9.5+repack1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:32:54 +0000

yagf (0.9.5+repack1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.
  * Use secure copyright file specification URI.

  [ Boris Pek ]
  * New upstream release. (Closes: #791400)
  * Upstream tarball is repacked due to usage of incorrect end of lines.
  * Update debian/control:
    - bump Standards-Version to 4.5.0 (was 3.9.5)
    - replace build dependency from debhelper (>= 9) to debhelper-compat (= 12)
    - replace build dependency from libqt4-dev to qtbase5-dev, qttools5-dev and
      qttools5-dev-tools
    - add "Rules-Requires-Root: no"
    - update Homepage field
  * Update debian/rules:
    - delete --parallel option from dh
    - delete get-orig-source section and all related variables
    - enable all hardening flags
    - add option -Wl,--as-needed to LDFLAGS
    - add override_dh_installdocs target:
      remove deprecated file YAGF.appdata.xml from /usr/share/appdata
  * Update patch 01_fix-library-path-on-amd64-systems.
  * Add new patches:
    - 02_update-desktop-file.patch
    - 03_disable-cropping-of-loaded-images.patch:
      workaround for fixing of segmentation fault due to incorrect usage of
      smart pointers (Closes: #746380) (LP: #1380371)
    - 04_port-to-qt5.patch (Closes: #875243) (LP: #1757913)
      this patch is based on branch qt5 in upstream git repo, it additionally
      fixes segmentation fault during opening multiple images (LP: #1434102)
      (Closes: #859862)
    - 05_additional-qt5-related-fixes.patch
    - 06_remove-online-help.patch:
      online documentation is not available anymore
    - 07_fix-application-size.patch
    - 08_fix-config-dialog.patch
    - 09_add-chinese.patch
    - 10_fix-translation-files.patch
    - 11_install-ukrainian-translation.patch
    - 12_add-missing-unistd-include.patch
    - 13_disable-extra-threads.patch
    - 14_fix-crash-when-specific-aspell-dictionary-is-not-found.patch
    - 15_fix-spelling-errors.patch
  * Update manual page: debian/yagf.1
  * Update debian/copyright.
  * Delete debian/compat.
  * Update debian/watch.
  * Add debian/upstream/metadata.

 -- Boris Pek <tehnick@debian.org>  Mon, 09 Mar 2020 23:39:56 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,18 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: aspell, cmake, debhelper (>= 9), libaspell-dev, libqt4-dev
-Homepage: http://symmetrica.net/cuneiform-linux/yagf-en.html
-Vcs-Git: git://github.com/tehnick/yagf-debian.git
+Build-Depends: aspell,
+               cmake,
+               debhelper-compat (= 12),
+               libaspell-dev,
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools
+Homepage: https://sourceforge.net/projects/yagf-ocr/
+Vcs-Git: https://github.com/tehnick/yagf-debian.git
 Vcs-Browser: https://github.com/tehnick/yagf-debian
-Standards-Version: 3.9.5
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: yagf
 Architecture: any

=== debian/watch ===
version=3
opts=\
dversionmangle=s/[+~](dfsg|ds|repack)\d*$//,\
http://sf.net/yagf-ocr/yagf-(.+)\.tar\.gz \
debian uupdate
